Name:           python-parse
Version:        1.8.4
Release:        3
Summary:        Python Parse Module
License:        BSD
URL:            http://pypi.python.org/pypi/parse
Source0:        https://files.pythonhosted.org/packages/source/p/parse/parse-%{version}.tar.gz
BuildArch:      noarch

%description
A python module which parses specific strings adopted the format() syntax.

%package -n python2-parse
Summary:        Python2 Parse Module
%{?python_provide:%python_provide python2-parse}
BuildRequires:  python2-devel
%description -n python2-parse

Parse Module for Python2.


%package -n python3-parse
Summary:        Python3 Parse Module
%{?python_provide:%python_provide python3-parse}
BuildRequires:  python3-devel
%description -n python3-parse

Parse Module for Python3.

%prep
%autosetup -n parse-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} test_parse.py
%{__python3} test_parse.py

%files -n python2-parse
%doc README.rst
%{python2_sitelib}/parse-%{version}-*.egg-info
%{python2_sitelib}/parse.py*

%files -n python3-parse
%doc README.rst
%{python3_sitelib}/parse-%{version}-*.egg-info
%{python3_sitelib}/parse.py
%{python3_sitelib}/__pycache__/parse.*

%changelog
* Mon Sep 27 2021 lingsheng <lingsheng@huawei.com> - 1.8.4-3
- Provides python-parse for compatibility

* Fri Dec 13 2019 Shuaishuai Song <songshuaishuai2@huawei.com> - 1.8.4-2
- package init

